Package org.eclipse.emf.cdo.session.remote

# Interface CDORemoteTopicEvent

All Superinterfaces:
  `org.eclipse.net4j.util.event.IEvent`

All Known Subinterfaces:
  `CDORemoteTopicEvent.MessageReceived`

public interface CDORemoteTopicEvent extends org.eclipse.net4j.util.event.IEvent
A generic `event` fired from a `remote topic`.

Since:
  4.17
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`CDORemoteTopicEvent.MessageReceived`
A `remote topic event` fired from a `topic` when a `message` from a `remote session` has been received.

## Method Summary

Modifier and Type
Method
Description
`CDORemoteSession`
`getRemoteSession()`
Returns the remote session that caused this event, i.e., the sender.
`CDORemoteTopic`
`getSource()`
Returns the topic that emitted this event.

## Method Details

### getSource

CDORemoteTopic getSource()
Returns the topic that emitted this event.

Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

### getRemoteSession

CDORemoteSession getRemoteSession()
Returns the remote session that caused this event, i.e., the sender.